
Installer - Feature #25697

Merge katello-installer into foreman-installer

12/14/2018 06:50 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: foreman-installer script   

Target version: 1.21.0   

Difficulty:  Fixed in Releases: 1.21.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/268,

https://github.com/theforeman/foreman-p

ackaging/pull/2326,

https://github.com/theforeman/foreman-p

ackaging/pull/3309

  

Description

From https://community.theforeman.org/t/merging-katello-installer-into-foreman-installer/8677

There'll have one git repository: foreman-installer.git

All installer builds will ship all required Puppet modules

Debian builds will not contain the Katello scenarios and their required files

RPMs

There’ll be single source RPM

All Katello related scenarios live in the foreman-installer-katello subpackage.

The old katello-installer-base package will be obsoleted by foreman-installer-katello.

Related issues:

Related to Foreman Maintain - Bug #25698: Stop relying on katello-installer-base Rejected

Associated revisions

Revision e8ce73a0 - 12/14/2018 06:54 PM - Ewoud Kohl van Wijngaarden

Fixes #25697 - Add katello and foreman-proxy-content scenarios

History

#1 - 12/14/2018 06:53 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #25698: Stop relying on katello-installer-base added

#2 - 12/14/2018 06:54 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman-installer/pull/268 added

#3 - 12/14/2018 07:21 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/2326 added

#4 - 12/14/2018 07:22 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/3309 added

#5 - 12/14/2018 08:01 PM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset e8ce73a008d882aaf14ce31198aeac5624fd28a3.
https://community.theforeman.org/t/merging-katello-installer-into-foreman-installer/8677
https://projects.theforeman.org/projects/puppet-foreman/repository/installer/revisions/e8ce73a008d882aaf14ce31198aeac5624fd28a3


#6 - 02/26/2019 01:34 PM - Tomer Brisker

- Fixed in Releases 1.21.0 added

#7 - 07/16/2020 07:34 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/5552 added

#8 - 07/16/2020 09:55 AM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/foreman-packaging/pull/5552)
